summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/source/latex/geomsty
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2006-01-11 23:53:44 +0000
committerKarl Berry <karl@freefriends.org>2006-01-11 23:53:44 +0000
commitaf35443030382afccdd685177cb11dcf161b5a4d (patch)
tree425d0bb576f21a29d162dbf818c55591c5628e02 /Master/texmf-dist/source/latex/geomsty
parente4c3d9af333e856471e26c80bca1f1bcd8ec172b (diff)
trunk/Master/texmf-dist/source/latex/geomsty
git-svn-id: svn://tug.org/texlive/trunk@308 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/source/latex/geomsty')
-rw-r--r--Master/texmf-dist/source/latex/geomsty/Makefile108
-rw-r--r--Master/texmf-dist/source/latex/geomsty/PStorus.lab4
-rw-r--r--Master/texmf-dist/source/latex/geomsty/README75
-rw-r--r--Master/texmf-dist/source/latex/geomsty/driver.chg59
-rw-r--r--Master/texmf-dist/source/latex/geomsty/dvips.chg59
-rw-r--r--Master/texmf-dist/source/latex/geomsty/geomfix156
6 files changed, 461 insertions, 0 deletions
diff --git a/Master/texmf-dist/source/latex/geomsty/Makefile b/Master/texmf-dist/source/latex/geomsty/Makefile
new file mode 100644
index 00000000000..79eee7f2b76
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/Makefile
@@ -0,0 +1,108 @@
+#
+# Makefile contributed by Steve Rumsby
+# and modified by Mark Phillips
+#
+
+# Where your TeX input files live
+TEXINPUTSDEST = /usr/local/lib/tex/inputs
+
+# Name of your Latex (for documentation)
+# Note: this must support NFSS in order for you to latex the manual;
+# otherwise print manual.ps
+LATEX = latex
+
+# Name of your DVI to PostScript converter, and
+# flags needed to process the manual
+DRIVER = dvips
+DRIVERFLAGS =
+
+# Where it keeps its support files
+PSDIR = /usr/local/lib/tex/dvips
+
+# System executable directory
+BINDIR = /u/geom/bin
+
+# Directory for Manual pages
+MANDIR = /u/geom/man/man1
+
+# Where perl lives
+PERL = /usr/local/bin/perl
+
+# Where you want to install the PostScript copy of the manual
+# ("manual.ps"). If you don't want to formally install this,
+# leave this definition blank.
+MANUALDIR = /u/geom/lib/geomsty
+
+# Pathname of directory where you want to install the auxiliary
+# programs geomfix and mathlabels. These are used by mathfig.
+AUXDIR=/u/geom/lib/geomsty
+
+# If your system doesn't support symbolic links you
+# could change this to "cp"
+LN = ln -s
+
+# Change this to "install" if you want
+CP = /bin/cp
+
+# You shouldn't have to change anything below here
+
+########################################################################
+
+SHELL=/bin/sh
+
+MANUALFILES = manual.ps
+
+all: mathlabels mathfig mathfig.1
+
+install: all
+ $(CP) *.sty *.chg $(TEXINPUTSDEST)
+ /bin/rm -f $(TEXINPUTSDEST)/driver.chg
+ $(LN) $(TEXINPUTSDEST)/$(DRIVER).chg $(TEXINPUTSDEST)/driver.chg
+ $(CP) mathfig $(BINDIR)
+ $(CP) mathlabels geomfix $(AUXDIR)
+ $(CP) math.pro illustrator.pro $(PSDIR)
+ $(CP) mathfig.1 $(MANDIR)
+ if [ "${MANUALDIR}" != "" ] ; then /bin/cp ${MANUALFILES} ${MANUALDIR} ; fi
+
+mathlabels: Makefile
+ /bin/rm -f mathlabels
+ (echo '#!$(PERL)'; sed 1d mathlabels.orig) > mathlabels
+ chmod 755 mathlabels
+
+mathfig: Makefile mathfig.orig
+ /bin/rm -f mathfig
+ sed -e 's|geomfix=geomfix|geomfix=${AUXDIR}/geomfix|' \
+ -e 's|mathlabels=mathlabels|mathlabels=${AUXDIR}/mathlabels|' \
+ < mathfig.orig > mathfig
+ chmod 755 mathfig
+
+mathfig.1: Makefile mathfig.1.orig
+ /bin/rm -f mathfig.1
+ sed -e 's|^geomfix$$|${AUXDIR}/geomfix|' \
+ -e 's|^mathlabels$$|${AUXDIR}/mathlabels|' \
+ < mathfig.1.orig > mathfig.1
+
+clean:
+ /bin/rm -f *~ #*#
+
+distclean: clean
+ /bin/rm -f *.dvi *.log *.lof *.aux *.bbl *.blg *.idx *.toc \
+ mathlabels mathfig mathfig.1 geomsty.tar.Z geomsty.shar
+
+manual.dvi: manual.tex manual.bib
+ ${LATEX} manual
+ bibtex manual
+ ${LATEX} manual
+ ${LATEX} manual
+
+manual.ps: manual.dvi
+ ${DRIVER} ${DRIVERFLAG} manual.dvi
+
+doc: manual.ps
+
+tar: distclean manual.ps
+ gnutar hcvfZ geomsty.tar.Z -C .. `sed '1,/^\** *CONTENTS/ d' README`
+
+shar: distclean manual.ps
+ (cd ..; shar -F -L95 -ogeomsty/geomsty.shar `sed '1,/^\** *CONTENTS/ d' README`)
+
diff --git a/Master/texmf-dist/source/latex/geomsty/PStorus.lab b/Master/texmf-dist/source/latex/geomsty/PStorus.lab
new file mode 100644
index 00000000000..89c8de75070
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/PStorus.lab
@@ -0,0 +1,4 @@
+\setlabel{a}{48.600000}{4.162104}{0.000000}{1.000000}
+\setlabel{b}{4.162104}{48.600000}{1.000000}{0.000000}
+\setlabel{a'}{48.600000}{93.037896}{0.000000}{-1.000000}
+\setlabel{b'}{93.037896}{48.600000}{-1.000000}{0.000000}
diff --git a/Master/texmf-dist/source/latex/geomsty/README b/Master/texmf-dist/source/latex/geomsty/README
new file mode 100644
index 00000000000..a3846d5b11d
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/README
@@ -0,0 +1,75 @@
+This is the distribution directory for the "geom" style for LaTeX,
+which provides, among other things, the following features:
+
+- inclusion of PostScript figures, and of TeX text within figures
+- automatic creation of index entries and cross-references where appropriate
+- no need to worry about fragile commands in almost all situations
+- greater versatility in defining theorem-like environments
+- proofing aids such as version numbers and a running index
+
+The files listed below are part of the distribution. For details and
+installation instructions, print the file manual.ps and turn to
+Section 3. If the file does not print for any reason, look for the
+section Installation in manual.tex.
+
+All files in this distribution are
+
+Copyright 1992 Silvio Levy
+
+unless specified otherwise. You can make copies of these files and
+redistribute them for non-commercial purposes. If you make changes to
+any files (other than adapting the Makefile to your site), CHANGE THE
+NAMES of the changed files, and please let me know of any changes that
+may be of interest to a wider audience.
+
+This software is distributed without any warranty, express or implied.
+
+Silvio Levy
+The Geometry Center
+1300 South Second Street
+Minneapolis, MN 55454
+email: levy@geom.umn.edu
+
+************* CONTENTS OF DISTRIBUTION **************
+geomsty/Makefile
+geomsty/PStorus.lab
+geomsty/PStorus.ps
+geomsty/README
+geomsty/dvips.chg
+geomsty/geom.sty
+geomsty/geomar10.sty
+geomsty/geomar11.sty
+geomsty/geomar12.sty
+geomsty/geomart.sty
+geomsty/geombk10.sty
+geomsty/geombk11.sty
+geomsty/geombk12.sty
+geomsty/geombook.sty
+geomsty/geomenv.sty
+geomsty/geomeqns.sty
+geomsty/geomfig.sty
+geomsty/geomfix
+geomsty/geomfnt.sty
+geomsty/geomindx.sty
+geomsty/geompsfi.sty
+geomsty/illustrator.pro
+geomsty/manual.bib
+geomsty/manual.ps
+geomsty/manual.tex
+geomsty/math.pro
+geomsty/mathfig.orig
+geomsty/mathfig.1.orig
+geomsty/mathlabels.orig
+geomsty/multicol.sty
+geomsty/mainz/doc/doc.doc
+geomsty/mainz/doc/doc.bug
+geomsty/mainz/doc/newdoc.doc
+geomsty/mainz/doc/docstrip.doc
+geomsty/mainz/doc/readme.mz
+geomsty/mainz/doc/readme.mz0
+geomsty/mainz/doc/install.mz0
+geomsty/mainz/multicol/multicol.doc
+geomsty/mainz/multicol/multicol.bug
+geomsty/mainz/multicol/readme.mz
+geomsty/mainz/multicol/readme.mz1
+geomsty/mainz/multicol/install.mz1
diff --git a/Master/texmf-dist/source/latex/geomsty/driver.chg b/Master/texmf-dist/source/latex/geomsty/driver.chg
new file mode 100644
index 00000000000..6f32ef4fe1a
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/driver.chg
@@ -0,0 +1,59 @@
+% $Header: /u/levy/texts/geombook/RCS/dvips.chg,v 1.4 1993/01/13 15:50:36 levy Exp $
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+% %
+% DRIVER-DEPENDENT DEFINITIONS %
+% %
+{\catcode`\p=12 \catcode`\t=12 \gdef\read@PT#1pt{#1}}
+\def\sp@topt#1#2{\psfig@dimen=#2sp \if\psfig@dimen=0pt \psfig@dimen=1sp\fi
+ \edef#1{\expandafter\read@PT \the\psfig@dimen}}
+\def\sp@tobp#1#2{\psfig@dimen=#2sp \if\psfig@dimen=0pt \psfig@dimen=1sp\fi
+ \expandafter\@tempdima\expandafter\read@PT \the\psfig@dimen bp
+ \advance\psfig@dimen-.5 \@tempdima \multiply\psfig@dimen 2
+ \edef#1{\expandafter\read@PT \the\psfig@dimen}}
+\def\ps@init{}
+\def\ps@begin{\sp@tobp\@tempa\@p@sbbllx \sp@tobp\@tempb\@p@sbblly
+ \sp@tobp\@tempc\@p@sbburx \sp@tobp\@tempd\@p@sbbury
+ \sp@tobp\@tempe{\@p@swidth0} \sp@tobp\@tempf{\@p@sheight0}
+ \special{PSfile=\@p@sfile\space llx=\@tempa\space lly=\@tempb\space
+ urx=\@tempc\space ury=\@tempd\space rwi=\@tempe\space rhi=\@tempf}}
+% rwi is the total width, in tenths of the units used for the
+% other dimensions (this is dvips's brain damage)
+\def\ps@prolog{\ifmathematica\special{header=math.pro}\fi
+ \ifillustrator\special{header=illustrator.pro}\fi}
+\def\ps@clip{} %
+\def\ps@include{} %
+\def\ps@postlog{} %
+\def\ps@end{} %
+% %
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+% $Log: dvips.chg,v $
+%Revision 1.4 1993/01/13 15:50:36 levy
+%expressed things in bp (correctly)
+%
+%Revision 1.3 1993/01/10 02:12:09 levy
+%*** empty log message ***
+%
+%Revision 1.2 92/06/10 12:44:13 levy
+%mathematica and illustrator dependences
+%
+%Revision 1.10 91/11/27 16:45:26 levy
+%removed path name from math.pro
+%
+%Revision 1.9 91/01/01 15:21:13 levy
+%checked in with -k by dbae at 91.01.12.17.41.23.
+%
+%Revision 1.9 91/01/01 15:21:13 levy
+%*** empty log message ***
+%
+%Revision 1.8 90/11/18 11:25:35 levy
+%*** empty log message ***
+%
+%Revision 1.7 90/11/18 11:19:34 levy
+%*** empty log message ***
+%
+% Revision 1.6 90/11/18 11:03:06 levy
+% *** empty log message ***
+
diff --git a/Master/texmf-dist/source/latex/geomsty/dvips.chg b/Master/texmf-dist/source/latex/geomsty/dvips.chg
new file mode 100644
index 00000000000..6f32ef4fe1a
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/dvips.chg
@@ -0,0 +1,59 @@
+% $Header: /u/levy/texts/geombook/RCS/dvips.chg,v 1.4 1993/01/13 15:50:36 levy Exp $
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+% %
+% DRIVER-DEPENDENT DEFINITIONS %
+% %
+{\catcode`\p=12 \catcode`\t=12 \gdef\read@PT#1pt{#1}}
+\def\sp@topt#1#2{\psfig@dimen=#2sp \if\psfig@dimen=0pt \psfig@dimen=1sp\fi
+ \edef#1{\expandafter\read@PT \the\psfig@dimen}}
+\def\sp@tobp#1#2{\psfig@dimen=#2sp \if\psfig@dimen=0pt \psfig@dimen=1sp\fi
+ \expandafter\@tempdima\expandafter\read@PT \the\psfig@dimen bp
+ \advance\psfig@dimen-.5 \@tempdima \multiply\psfig@dimen 2
+ \edef#1{\expandafter\read@PT \the\psfig@dimen}}
+\def\ps@init{}
+\def\ps@begin{\sp@tobp\@tempa\@p@sbbllx \sp@tobp\@tempb\@p@sbblly
+ \sp@tobp\@tempc\@p@sbburx \sp@tobp\@tempd\@p@sbbury
+ \sp@tobp\@tempe{\@p@swidth0} \sp@tobp\@tempf{\@p@sheight0}
+ \special{PSfile=\@p@sfile\space llx=\@tempa\space lly=\@tempb\space
+ urx=\@tempc\space ury=\@tempd\space rwi=\@tempe\space rhi=\@tempf}}
+% rwi is the total width, in tenths of the units used for the
+% other dimensions (this is dvips's brain damage)
+\def\ps@prolog{\ifmathematica\special{header=math.pro}\fi
+ \ifillustrator\special{header=illustrator.pro}\fi}
+\def\ps@clip{} %
+\def\ps@include{} %
+\def\ps@postlog{} %
+\def\ps@end{} %
+% %
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+
+% $Log: dvips.chg,v $
+%Revision 1.4 1993/01/13 15:50:36 levy
+%expressed things in bp (correctly)
+%
+%Revision 1.3 1993/01/10 02:12:09 levy
+%*** empty log message ***
+%
+%Revision 1.2 92/06/10 12:44:13 levy
+%mathematica and illustrator dependences
+%
+%Revision 1.10 91/11/27 16:45:26 levy
+%removed path name from math.pro
+%
+%Revision 1.9 91/01/01 15:21:13 levy
+%checked in with -k by dbae at 91.01.12.17.41.23.
+%
+%Revision 1.9 91/01/01 15:21:13 levy
+%*** empty log message ***
+%
+%Revision 1.8 90/11/18 11:25:35 levy
+%*** empty log message ***
+%
+%Revision 1.7 90/11/18 11:19:34 levy
+%*** empty log message ***
+%
+% Revision 1.6 90/11/18 11:03:06 levy
+% *** empty log message ***
+
diff --git a/Master/texmf-dist/source/latex/geomsty/geomfix b/Master/texmf-dist/source/latex/geomsty/geomfix
new file mode 100644
index 00000000000..aff40c9bd90
--- /dev/null
+++ b/Master/texmf-dist/source/latex/geomsty/geomfix
@@ -0,0 +1,156 @@
+#! /bin/sh
+#
+# This is geomfix, Copyright 1992 Silvio Levy
+# $Header: /a/tampa/h/tampa_a/fac/levy/texts/geombook/RCS/geomfix,v 1.1 92/07/17 13:27:45 levy Exp $
+#
+# This shell file reads stdin (or any list of files) and adds a header
+# similar to the one added by psfix, but without any of the definitons.
+# It also abbreviates certain PostScript commands.
+
+# Defaults:
+lmargin=1.0 # default left margin: .5 inches
+rmargin=1.0 # default right margin: .5 inches
+bmargin=1.0 # default bottom margin: .5 inches
+tmargin=1.0 # default top margin: .5 inches
+width=8.5 # default page width: 8.5 inches
+height=11 # default page height: 11 inches
+transform='' # default transformation: identity
+nodistort=true # default no-stretching: no
+fixwid=false # default fixwid compensation
+fixdash=false # default fixdash compensation
+while :; do
+ case $# in
+ 0)
+ break 2
+ ;;
+ esac
+ case "$1" in
+ -lmarg)
+ shift
+ lmargin=$1
+ shift
+ ;;
+ -rmarg)
+ shift
+ rmargin=$1
+ shift
+ ;;
+ -bmarg)
+ shift
+ bmargin=$1
+ shift
+ ;;
+ -tmarg)
+ shift
+ tmargin=$1
+ shift
+ ;;
+ -width)
+ shift
+ width=$1
+ shift
+ ;;
+ -height)
+ shift
+ height=$1
+ shift
+ ;;
+ -land)
+ tmp=$width
+ width=$height
+ height=$tmp
+ transform="90 rotate 0 Mheight neg translate"
+ shift
+ ;;
+ -stretch)
+ nodistort=false
+ shift
+ ;;
+ -stringfix)
+ fixwid=false
+ shift
+ ;;
+ -dashfix)
+ fixdash=false
+ shift
+ ;;
+ -*)
+ echo \
+'Usage: psfix [-lmarg inches] [-rmarg inches] [-bmarg inches] [-tmarg inches]
+ [-land] [-stretch] [-width inches] [-height inches]
+ [-stringfix] [-dashfix] [file...]' \
+ >&2
+ exit 1
+ ;;
+ *)
+ break 2
+ ;;
+ esac
+done
+
+# Output header
+echo '%!PS-Adobe-2.0 EPSF-2.0'
+# Compute bounding box
+(
+bc <<!
+$width * 72
+$height * 72
+!
+) | (
+ read right
+ read top
+ echo "%%BoundingBox: 0 0 $right $top"
+)
+cat <<'!'
+%%Creator: Mathematica
+%%EndComments
+!
+
+# Output default values
+sed 's/[ ]*%.*$//
+s/^[ ]*//
+/^[ ]*$/d' <<!
+
+MyDict begin
+/Mlmarg $lmargin 72 mul def % left margin (points)
+/Mrmarg $rmargin 72 mul def % right margin (points)
+/Mbmarg $bmargin 72 mul def % top margin (points)
+/Mtmarg $tmargin 72 mul def % bottom margin (points)
+/Mwidth $width 72 mul def % total page width (points)
+/Mheight $height 72 mul def % total page height
+/Mtransform { $transform } bind def % possible page rotation
+/Mnodistort $nodistort def % no-stretching flag
+/Mfixwid $fixwid def % fixedwidth font only flag
+/Mfixdash $fixdash def % fixeddash flag
+/Mrot 0 def % angle at which text is rendered
+!
+
+# Some of the following abbrevs were used by me
+# prior to version 2.1 to save space.
+# In version 2.1 different abbrevs were introduced.
+# Only k causes a conflict.
+
+sed '/^%!$/d
+s/^0\.\([0-9]\)/.\1/
+s/\([ -]\)0\.\([0-9]\)/\1.\2/g
+s/\<k\>$/setcmykcolor/
+s/\<Mabswid\>$/Ma/g
+s/\<arc\>$/a/g
+s/\<curveto\>$/c/g
+s/\<setdash\>$/d/g
+s/\<fill\>$/f/g
+s/\<setgray\>$/g/g
+s/\<grestore\>$/gr/g
+s/\<gsave\>$/gs/g
+s/\<stroke\>$/k/g
+s/\<lineto\>$/l/g
+s/\<setlinewidth\>$/lw/g
+s/\<moveto\>$/m/g
+s/\<newpath\>$/n/g
+s/\<setrgbcolor\>$/r/g
+/^%%Creator:/d' $@
+
+echo end
+
+
+